CinePaint: Open source deep paint software

CinePaint Spot Logo by Christian Deister CinePaint Twitter

CinePaint Home | Download | Next | Documentation | Contact

| Adobe Photoshop | Corel Painter X | Apple Aperture

CinePaint 1.0 Linux Source Tarball Available

Latest CinePaint source available to build on Linux

By Robin Rowe

Air Force Photo Archive: HH-60G Pave Hawk helicopter at Bagram Airfield in Afghanistan

Air Force Photo Archive: HH-60G Pave Hawk helicopter at Bagram Airfield in Afghanistan

HOLLYWOOD, CA (CinePaint.org) 2011/11/29 – This Thanksgiving release of CinePaint fixes many build errors and provides a source tarball that can be downloaded  and built on Linux-based systems. CinePaint is a free open source deep paint program that’s an alternative to software like Adobe Photoshop. This release of CinePaint is numbered at 1.0 rather than 0.27 for administrative reasons. It is not significantly different from 0.26. It has known bugs. Mac and Windows versions not available at this time. Report user experiences in the comments section below or on the mailing list.

Download cinepaint-1.0.tgz (17mb)

./configure
make
sudo make install

Updates since this was posted…

Photo courtesy of U.S. Air Force photo archive. Full size image.

Posted in CinePaint, Developers, News, Release|17 Comments

17 responses so far ↓

  • 1 rower // Nov 30, 2011 at 7:53 am

    Comments are now working. Post your comments here….

  • 2 rower // Nov 30, 2011 at 7:56 am

    To CinePaint-Announce List…

    Happy holidays everyone.

    There’s a new tarball available at http://www.cinepaint.org.

    Robin

    To CinePaint-Developers List:

    There’s a fresh tarball at http://www.cinepaint.org and I hope to make another
    release soon. Does anyone have patches or other input?

    Happy holidays,

    Robin

    To CinePaint-Users List…

    Please download and build the latest version of CinePaint from
    http://www.cinepaint.org. Bug reports and usability notes can go to the list or
    in comments section on blog or into bugzilla on SourceForge.net.

    Happy holidays,

    Robin

    To Linux-General List…

    New CinePaint Linux tarball available at http://www.cinepaint.org. Let me know
    what you think.

    We haven’t had a Linux Movies Group event in a long time. I’m thinking
    of getting together in Hollywood for a CinePaint workshop. Anyone here
    interested?

    I’ll be in London in December. Anyone want to get together there?

    Robin

  • 3 rower // Nov 30, 2011 at 7:58 am

    From Frank Peters…

    Configure went OK, but when I did the “make” I immediately get this message:

    make[1]: Entering directory cinepaint/libhalf
    /bin/sh ../libtool –tag=CXX –mode=link g++ -O2 -march=native -o eLut eLut.o
    libtool: Version mismatch error. This is libtool 2.4.2, but the
    libtool: definition of this LT_INIT comes from libtool 2.4.
    libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2
    libtool: and run autoconf again.
    make[1]: *** [eLut] Error 63

    My system is the latest Gentoo with libtool-2.4.2 and gcc-4.6.2

    However, I was able to fix this by executing “autoreconf” from the
    top-level directory. This seemed to have rebuilt all the necessary
    files. Probably everyone who downloads the source will need to
    run autoreconf.

    After again doing “make” the compilation stopped with errors concerning
    the iol and png plugins. The png problem is no surprise because the
    release of libpng-1.5.x has many changes that break many programs.
    The png plugin will have to be patched to accommodate these changes.

    I was able to quickly “fix” these two plugin problems by simply
    removing iol and png from the plug-ins/Makefile. I don’t need
    either of them so for me it is irrelevant.

    After this “fix” cinepaint-1.0 compiled and executed without further
    problem. I used it to do some 16-bit image processing and experienced
    no difficulty. As the days go by I’ll be able to test more.

    To recap, the only major problems in compilation are the need
    for “autoreconf” and the broken png plug-in for those who are
    using libpng-1.5.x.

    It’s good to see another version of cinepaint.

  • 4 rower // Nov 30, 2011 at 7:59 am

    From: Peter Langfelder…

    Hi,

    thanks for putting up the new cinepaint version. I’m unable to compile it:

    sh autogen.sh (which BTW is missing from the INSTALL file)
    ./configure (minor note: configure reports Cinepaint 0.25 instead of 1.0)
    make

    leads to the following error:

    In file included from ../../lib/../lib/plugin_main.h:30,
    from libtile.c:12:
    ../../lib/../lib/float16.h:48: error: redefinition of typedef ‘ImfHalf’
    ../../libhalf/cinepaint_half.h:5: note: previous declaration of
    ‘ImfHalf’ was here
    libtile.c: In function ‘lib_tile_put_wire’:
    libtile.c:123: warning: unused variable ‘_shm_addr’
    make[3]: *** [libtile.lo] Error 1

    If it makes any difference, I’m on a Fedora 13 and gcc –version reports
    gcc (GCC) 4.4.5 20101112 (Red Hat 4.4.5-2)

    Looking forward to see a fix, hopefully it’s a simple one.

    Best,

    Peter

  • 5 rower // Nov 30, 2011 at 8:04 am

    From: Sheem-On…

    Thanx for the heroic effort and a very valuable package.
    Following some (possible) problems and knit-pickings:

    * (at least) in the plug-ins/print directory, the final linking makes
    use of .la files.
    – AFAIK there is no need for these (anymore); you can/should link
    to the .so library (typically a link to a version).
    – (At least) on Gentoo, this breaks the build. If you do keep the
    .la, here are some pointers to make the build complete:
    + Run /usr/bin/lafilefixer. It is part of _______________
    + Prepend every -lgtk-x11… with -L/usr/lib64
    On 32bit machines, it will be -L/usr/lib, or /usr/lib32

    * There are numerous compilation warning (too many to list here).
    I suggest you get rid of them, as quite few may harbor
    hidden/implicit bugs. It will also make the build less scary :-)

    I have not actually tried to use this version yet, but will do so soon.

    One more thing (knit-picking dept.):

    $ cinepaint –version
    Locale found in /usr/local/share/locale
    CinePaint version 0.25-0

    Huh?

    Sheem-On

  • 6 rower // Nov 30, 2011 at 8:12 am

    More From Sheem-On…

    First use observations:

    * Memory leaks are serious;
    = Open a tiff file
    = Crop
    = Gaussian Blur filter
    = Save As…
    Repeat this twice, and the tiff file module refuses to load.
    Exit and re-start and all is well again.

    * Not News Dept: A quick fix may be to collect enough state, save in
    a .dot file, and re-exec cinepaint is a quick and dirty way to get
    rid of memory leaks, until proper logic repair has taken place and
    validated.

    * The above scenario is particularly severe with 70mm film; each frame
    is about 450MB, the machine has 6GB of memory,

    * At times, the crash manifests itself as endless loop pegging a whole
    CPU at 100%. If the crash happens during disk I/O it may take
    several long, irritating minutes to kill. Linux is not very good at
    runaway disk consumers.

    On another subject; I could not find a way to rotate an image. Few degrees, to correct careless camera holding…

    This is it for now. Back to scanning…

    Sincerely,

    Sheem-On

  • 7 rower // Nov 30, 2011 at 8:14 am

    From Terence…

    The ‘make’ command failed almost immediately because libhalf/eLut could not be
    compiled: the operation
    /bin/sh ../libtool –tag=CXX –mode=link g++ -g -O2 -o eLut eLut.o
    apparently failed, although I didn’t get any compilation error messages, but the
    next step
    ./eLut > eLut.h
    resulted in the error
    /bin/sh: ./eLut: No such file or directory

    What could be wrong with my setup? I managed to compile cinepaint-0.22 before on
    the same machine.

    Output from ‘configure’ command is attached.

    Cheers,

    Terence

  • 8 rower // Nov 30, 2011 at 8:15 am

    From Gene…

    I did not do the autotools thing. The included configure script did the job.

    All I had to do was to install these dependences:

    sudo apt-get install build-essential cvs autotools-dev automake
    libfltk1.1-dev libgtk2.0-dev zlib1g-dev libjpeg62-dev libpng12-dev
    libtiff4-dev libopenexr-dev libxpm-dev libgutenprint-dev
    libgutenprintui2-dev liblcms1-dev pkg-config ftgl-dev libxmu-dev
    libxxf86vm-dev python2.7-dev

    (had to fix a few package names and added python)

    Built on Ubuntu 11.10

    –Gene

  • 9 Увидел свет графический редактор CinePaint 1.0 | AllUNIX.ru – Всероссийский портал о UNIX-системах // Nov 30, 2011 at 2:16 pm

    [...] более чем трёхлетней остановки в разработке доступен релиз графического редактора CinePaint 1.0, в который [...]

  • 10 chris_gregory // Nov 30, 2011 at 7:57 pm

    Many thanks, been waiting for a new version of Cinepaint for quite a while! Having trouble building at the moment, similar to some of the people who’ve already posted. Hopefully the comments already suggested will get this ironed out, let me try all those things…

  • 11 chris_gregory // Nov 30, 2011 at 8:27 pm

    OK, I got it to build, needed to deactivate a few plugins, the ones mentioned above and pygimp and icc-examin. System didn’t find installed libraries, so I had to run ldconfig manually, wouldn’t hurt to put it at the end of the ‘make install’ process since cinepaint depends on shared librares. Testing now, I’m so excited !!

  • 12 CinePaint 1.0 Linux Source Tarball Available | The World of Open | Scoop.it // Dec 1, 2011 at 7:30 am

    [...] CinePaint 1.0 Linux Source Tarball Available [...]

  • 13 CinePaint 1.0: otro desarrollo que da el salto a versiones redondas // Dec 2, 2011 at 3:19 am

    [...] ello han anunciado el lanzamiento de CinePaint 1.0, una versión redonda que de nuevo -como sucedió con los casos del [...]

  • 14 Robin Rowe // Dec 2, 2011 at 11:29 am

    From Patrick in Germany…

    I just wanted to compile the new version 1.0, but I got the error configure: error:

    cannot run /bin/bash ./config.sub

    Do you have an idea what the reason could be? I am running Debian Testing.

  • 15 Robin Rowe // Dec 2, 2011 at 12:19 pm

    Here’s the Muy Computer CinePaint story translated into English.

    http://translate.google.com/translate?sl=auto&tl=en&js=n&prev=_t&hl=en&ie=UTF-8&layout=2&eotf=1&u=http%3A%2F%2Fwww.muylinux.com%2F2011%2F12%2F02%2Fcinepaint-1-0-otro-desarrollo-que-da-el-salto-a-versiones-redondas%2F

  • 16 CinePaint 1.0 | OSWorld.pl // Dec 5, 2011 at 6:03 am

    [...] Rowe ogłosił wydanie CinePaint 1.0, znanej wcześniej pod nazwą FilmGIMP. Aplikacja ta jest forkiem GIMPA 1.0.4, który został [...]

  • 17 CinePaint Kembali Dengan Versi 1.0 | LinuxBox.Web.ID // Dec 8, 2011 at 8:32 pm

    [...] alih proyek FilmGIMP dan mengganti namanya, belum ada rilis kode sumber juga sejak 2007. Dari pengumuman dijelaskan bahwa versi ini dinomori 1.0 untuk alasan administratif, memiliki bug yang telah [...]

You must log in to post a comment.

Search Gosh!TV